CVE-2024-2002

NameCVE-2024-2002
DescriptionA double-free vulnerability was found in libdwarf. In a multiply-corrupted DWARF object, libdwarf may try to dealloc(free) an allocation twice, potentially causing unpredictable and various results.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1065511

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dwarfutils (PTS)buster20180809-1vulnerable
bullseye20201201-1vulnerable
sid, trixie, bookworm20210528-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dwarfutilssource(unstable)(unfixed)1065511

Notes

[bookworm] - dwarfutils <no-dsa> (Minor issue)
[bullseye] - dwarfutils <no-dsa> (Minor issue)
[buster] - dwarfutils <no-dsa> (Minor issue)
https://www.prevanders.net/dwarfbug.html#DW202402-002
Fixed by: https://github.com/davea42/libdwarf-code/commit/404e6b1b14f60c81388d50b4239f81d461b3c3ad

Search for package or bug name: Reporting problems